[MASTER] Xorg crashes when trying to play a video with XV under xserver 1.11 - xs111LookupPrivate

Bug #921384 reported by Martin Albisetti on 2012-01-25
596
This bug affects 120 people
Affects Status Importance Assigned to Milestone
fglrx-driver (Debian)
Fix Released
Unknown
fglrx-installer (Ubuntu)
High
Alberto Milone
Precise
High
Alberto Milone

Bug Description

The current version of fglrx in Precise has a bug that results in an X crash when playing Xv video.

This is a known issue and is expected to be fixed prior to the Precise release.

We knew of this bug before updating to this driver, but made the decision to proceed because the previous version did not work at all with 1.11 due to ABI incompatibilities. Historically, fglrx pretty much always breaks during development, because we update the xserver and then it takes some months to get a new driver from ATI. This time we're lucky in that the driver mostly works.

[Workarounds]
* Switch to -ati
* Use oneiric until this is fixed.
* Disable Xv in your xorg.conf:

    Section "Extensions"
        Option "XVideo" "Disable"
    EndSection

[Original Report]
After the upgrade, X seems to crash every time I try to play a video.

Backtrace:
[ 1173.697] 0: /usr/bin/X (xorg_backtrace+0x26) [0x7fd3185a3126]
[ 1173.698] 1: /usr/bin/X (0x7fd31841c000+0x18ad7a) [0x7fd3185a6d7a]
[ 1173.698] 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fd317744000+0xfc10) [0x7fd317753c10]
[ 1173.698] 3: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so (xs111LookupPrivate+0x22) [0x7fd31446ac72]
[ 1173.699] 4: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/drivers/fglrx_drv.so (xclLookupPrivate+0xd) [0x7fd313e3d75d]
[ 1173.699] 5: /usr/lib/x86_64-linux-gnu/xorg/extra-modules/extra-modules.dpkg-tmp/modules/amdxmm.so (X740XvPutImage+0x12e) [0x7fd3104858de]
[ 1173.699] 6: /usr/bin/X (0x7fd31841c000+0xa64fe) [0x7fd3184c24fe]
[ 1173.699] 7: /usr/lib/xorg/modules/extensions/libextmod.so (0x7fd315550000+0xecb2) [0x7fd31555ecb2]
[ 1173.699] 8: /usr/bin/X (0x7fd31841c000+0x4e411) [0x7fd31846a411]
[ 1173.699] 9: /usr/bin/X (0x7fd31841c000+0x3d33a) [0x7fd31845933a]
[ 1173.699] 10: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xed) [0x7fd31666a30d]
[ 1173.699] 11: /usr/bin/X (0x7fd31841c000+0x3d62d) [0x7fd31845962d]
[ 1173.699] Segmentation fault at address 0x20
[ 1173.699]
Caught signal 11 (Segmentation fault). Server aborting
[ 1173.699]

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: xorg 1:7.6+10ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-10.18-generic 3.2.1
Uname: Linux 3.2.0-10-generic x86_64
NonfreeKernelModules: fglrx
.tmp.unity.support.test.0:

ApportVersion: 1.91-0ubuntu1
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,place,gnomecompat,mousepoll,resize,move,compiztoolbox,wall,imgpng,snap,session,grid,regex,vpswitch,unitymtgrabhandles,animation,workarounds,expo,fade,scale,ezoom,unityshell]
CompositorRunning: compiz
Date: Wed Jan 25 00:55:57 2012
DistUpgraded: Fresh install
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus:
 fglrx, 8.911, 3.2.0-10-generic, x86_64: installed
 ndiswrapper, 1.57~rc1: added
EcryptfsInUse: Yes
ExtraDebuggingInterest: Yes, whatever it takes to get this fixed in Ubuntu
GraphicsCard:
 ATI Technologies Inc Wrestler [Radeon HD 6310] [1002:9802] (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:21df]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20111216.1)
JockeyStatus:
 xorg:fglrx_updates - ATI/AMD proprietary FGLRX graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
 xorg:fglrx - ATI/AMD proprietary FGLRX graphics driver (Proprietary, Enabled, In use)
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 003: ID 5986:01a6 Acer, Inc Lenovo Integrated Webcam
MachineType: LENOVO 05962RU
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-10-generic root=UUID=b678dcd6-f71e-4ca4-b1ae-a7159ca8ee21 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
Title: Xorg crash
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/25/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 8FET31WW (1.15 )
dmi.board.asset.tag: Not Available
dmi.board.name: 05962RU
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8FET31WW(1.15):bd08/25/2011:svnLENOVO:pn05962RU:pvrThinkPadX120e:rvnLENOVO:rn05962RU:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 05962RU
dmi.product.version: ThinkPad X120e
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu8
version.fglrx-installer: fglrx-installer N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu4
version.xserver-xorg-core: xserver-xorg-core 2:1.11.3-0ubuntu8
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.99.901-1ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu3
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Martin Albisetti (beuno) wrote :
Timo Aaltonen (tjaalton) on 2012-01-25
affects: xorg (Ubuntu) → fglrx-installer (Ubuntu)
Robert Hooker (sarvatt) on 2012-01-25
Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Robert Hooker (sarvatt) on 2012-01-25
summary: - Xorg crashes when trying to play a video
+ Xorg crashes when trying to play a video with XV
summary: - Xorg crashes when trying to play a video with XV
+ [MASTER] Xorg crashes when trying to play a video with XV under xserver
+ 1.11
Changed in fglrx-installer (Ubuntu):
status: Confirmed → Triaged
Bryce Harrington (bryce) on 2012-02-03
description: updated
summary: [MASTER] Xorg crashes when trying to play a video with XV under xserver
- 1.11
+ 1.11 - xs111LookupPrivate
Bryce Harrington (bryce) on 2012-02-03
description: updated
description: updated
Changed in fglrx-driver (Debian):
status: Unknown → Confirmed
Pritam Baral (pritambaral) wrote :

In addition to the crashes, this version of fglrx-xserver 1.11 combo features a new problem. Chrome (chromium-browser) loses Hardware Acceleration support (verifiable by visting about:gpu in the browser.) While previously it used to work properly, now it says:

the gpu process was unable to boot.

Giulio Collura (gcollura) wrote :

I disabled XVideo from xorg.conf and now I can play videos smoothly without any kind of crash. Is there any collateral effect by disabling XVideo?

Thanks in advance,
Giulio

Changed in fglrx-installer (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
Alberto Milone (albertomilone) wrote :

Just an update. The issue was investigated and upstream is working on it.

Changed in fglrx-installer (Ubuntu Precise):
status: Triaged → In Progress
Kai Mast (kai-mast) wrote :

It seems to be fixed with catalyst 12.2 according to phoronix.com. Can somebody confirm this?

Neil Rodgers (neilr1971) wrote :

I can confirm this is now fixed with catalyst 12.2. I just installed the new driver and all my videos are playing fine again. I tried multilple video formats with vlc and movie player. Using precise with amd64, ati mobility 4200.

Žilvinas (zilvinas-urbon) wrote :

@Neil Rodgers:
It doesn't seem to be fixed for me. Would you mind be giving instructions how you installed these 12.2 drivers (how you upgrade/remove older version)? Maybe I did something inproperly, but it just keep crashing on XV for me as it was before with 12.1.

Neil Rodgers (neilr1971) wrote :

Sure, look here http://wiki.cchtml.com/index.php/Ubuntu_Oneiric_Installation_Guide. Then follow the instructions for removing catalyst/fglrx, its about halfway down the page. After that, goto the top of the page to the section called "Installing Catalyst Manually (from AMD/ATI's site)" and follow the directions there. Make sure that in the command to create the .deb packages you change Ubuntu/oneiric to Ubuntu/precise.
 So the key steps are
1.)completely remove existing catalyst/fglrx
2.)download and compile new driver
3.)install the new driver
4.)reboot

I'm an affecting user.... and so what? :-)
People should wait until the bug is fixed or should do an upgrade by itself? :-)

Meanwhile, the upstream bug are not up to date:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=649346
http://ati.cchtml.com/show_bug.cgi?id=337#c7

Cheers

These drivers doesn't seem to install for me properly. When I install
Catalyst 12.2 drivers, all I get after reboot is Unity 2D, can't run
Unity3D it automatically sets me to 2D. And when I was able to make
some workaround like installing it and then doing jockey install on
it, it showed me that I use 12.2 but XV problem didin't disappeared.

cliff tinker (cliff5555) wrote :
Download full text (9.8 KiB)

It has fixed the problem for me, thank you for your help. I now have
video playing in vlc,totem,miro and gnome media player

--
John Clifford Tinker

From <email address hidden> Thu Mar 8 00:56:46 2012
Envelope-to: <email address hidden>
Received: from [10.103.250.91] (helo=out.ip08nec.int.opaltelecom.net) by
mailin4nec.int.opaltelecom.net with esmtp id 1S5Rew-0000YY-Sx for
<email address hidden>; Thu, 08 Mar 2012 00:56:46 +0000
X-IronPort-AV: E=Sophos;i="4.73,549,1325462400";
d="scan'208";a="622397232"
Received: from indium.canonical.com ([91.189.90.7]) by
in.ip08nec.int.opaltelecom.net with ESMTP; 08 Mar 2012 00:56:01 +0000
Received: from loganberry.canonical.com ([91.189.90.37]) by
indium.canonical.com with esmtp (Exim 4.71 #1 (Debian)) id
1S5ReC-0000ul-Iq
for <email address hidden>; Thu, 08 Mar 2012 00:56:00 +0000
Received: from loganberry.canonical.com (localhost [127.0.0.1]) by
loganberry.canonical.com (Postfix) with ESMTP id 8D43A2E814A for
<email address hidden>; Thu, 8 Mar 2012 00:56:00 +0000 (UTC)
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Date: Thu, 08 Mar 2012 00:46:59 -0000
From: Neil Rodgers <email address hidden>
To: <email address hidden>
Reply-To: Bug 921384 <email address hidden>
Sender: <email address hidden>
X-Launchpad-Bug: distribution=ubuntu; sourcepackage=fglrx-installer;
component=restricted; status=In Progress; importance=High;
<email address hidden>;
X-Launchpad-Bug: distribution=ubuntu; distroseries=precise;
sourcepackage=fglrx-installer; component=restricted; status=In Progress;
importance=High; <email address hidden>;
X-Launchpad-Bug: distribution=debian; sourcepackage=fglrx-driver;
component=non-free; status=Confirmed; importance=Unknown;
assignee=None;
X-Launchpad-Bug-Tags: amd64 apport-bug compiz-0.9 crash precise
regression
reproducible running-unity ubuntu
X-Launchpad-Bug-Private: no
X-Launchpad-Bug-Security-Vulnerability: no
X-Launchpad-Bug-Commenters: albertomilone beuno chhatoipritam kai-mast
neilr1971 random-cpp zilvinas-urbon
X-Launchpad-Bug-Reporter: Martin Albisetti (beuno)
X-Launchpad-Bug-Modifier: Neil Rodgers (neilr1971)
References: <email address hidden>
Message-Id: <email address hidden>
Subject: [Bug 921384] Re: [MASTER] Xorg crashes when trying to play a
video
with XV under xserver 1.11 - xs111LookupPrivate
X-Launchpad-Message-Rationale: Subscriber of Duplicate
Errors-To: <email address hidden>
Precedence: bulk
X-Generated-By: Launchpad (canonical.com); Revision="14914";
Instance="launchpad-lazr.conf"
X-Launchpad-Hash: 8edfcdc54c119928d131f67d85dac4a61a89f4fa
X-Evolution-POP3-UID: 000006414bb245fa
X-Evolution-Source: 1272121875.1520.2@john-desktop
X-Evolution-Source: local
Content-Transfer-Encoding: 8bit

Sure, look here
http://wiki.cchtml.com/index.php/Ubuntu_Oneiric_Installation_Guide. Then
follow the instructions for removing catalyst/fglrx, its about halfway
down the page. After that, goto the top of the page to the section
called "Installing Catalyst Manually (from AMD/ATI's site)" and follow
the directions there. Make sure that in the command to...

Read more...

Žilvinas (zilvinas-urbon) wrote :

@Giuseppe Terrasi: When it will be in Ubuntu repos?

Žilvinas (zilvinas-urbon) wrote :

I can confirm. ATI Catalayst 12.2 fixes the problem. But in Ubuntu repos there is only 11.11 which is 2 versions out of date.

MdMax (mdmaxlp) wrote :

Same problem and workaround here with a HP Pavilion dm1-4000 (AMD Radeon HD6320M / AMD Zacate Dual Core E-450).

Žilvinas (zilvinas-urbon) wrote :

@MdMax:
Does the drivers got installed for you without any problems?

cliff tinker (cliff5555) wrote :

I reinstalled the drivers manually as suggested in a previous message
and can now play video. the display does still go striey and garbled for
about 20 seconds when i login but once it sorts itself it fine until i
logout or reboot.
--
John Clifford Tinker (cliff5555)

On Fri, 2012-03-09 at 08:28 +0000, Žilvinas wrote:

> @MdMax:
> Does the drivers got installed for you without any problems?
>

dazza5000 (darran-kelinske) wrote :

Can't wait for this to get pushed to down to us that don't have the balls to hop on the edgers PPA <3 - thank you everyone if this comes through with the fix

gokul (dotgokul) wrote :

the xedgers .deb files work for me.

norberto (netcaster) wrote :

ATI Catalayst 12.2 fixes the problem for me

Henri Cook (henricook) wrote :

Great to hear, how long do you think it'll take the packages to hit the mainstream from the edge? I'm not sure if i'm ready to be that edgy!

No guys, I have try to install fglrx_2%3a8.950-0ubuntu1~xedgers~precise1_amd64.deb packages and some other dependecies from xorg-edgers ppa but after reboot I can't start lightdm.

kern.log:
Mar 11 23:07:33 killer kernel: [ 34.163140] init: failsafe main process (955) killed by TERM signal
Mar 11 23:07:35 killer kernel: [ 36.322835] init: lightdm main process (1279) terminated with status 1
Mar 11 23:07:41 killer kernel: [ 41.712049] eth2: no IPv6 routers present
Mar 11 23:07:41 killer kernel: [ 42.273013] init: plymouth-stop pre-start process (1753) terminated with status 1
Mar 11 23:07:51 killer kernel: [ 51.548185] init: failsafe-x main process (1543) terminated with status 1
Mar 11 23:08:28 killer kernel: [ 89.024524] init: lightdm main process (2100) terminated with status 1
Mar 11 23:08:43 killer kernel: [ 104.069366] init: failsafe-x main process (2109) terminated with status 1
Mar 11 23:16:20 killer kernel: Kernel logging (proc) stopped.

So I have purge xorg-edgers ppa and downgrande all packages...

If you need some more information and logs please tell me :-)

Cheers

Neil Rodgers (neilr1971) wrote :

@Giuseppe Terrasi
Did you completely remove your existing fglrx driver before installing the .deb from xorg-edgers? You can also try installing the drivers directly from AMD's website too. http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx

@Neil Rodgers
I need to purge first?
No, I have add the ppa and then upgrade all packages. Ok, so I need to retry againg. I'll do ASAP.

Neil Rodgers (neilr1971) wrote :

Yes, I have always read that you should purge the driver first before installing a newer version. You can easily remove fglrx with this command- sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev*
After you run this install the new driver then reboot and hopefully you'll boot into lightdm again. If you need any help let me know and I'll try to help.

I have try again. Same result. I have purge first all the fglrx packages and then sudo apt-get update && sudo apt-get dist-upgrade && sudo apt-get install fglrx.
At reboot lightdm doesn't start. I look at /var/log/apt/term.log and I can see that are present some error. Full log: http://pastebin.ubuntu.com/879984/

An abstract:
"update-alternatives: attenzione: saltata la creazione di /etc/OpenCL/vendors/amdocl32.icd poiché il file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd associato (del gruppo x86_64-linux-gnu_gl_conf) non esiste.
update-alternatives: attenzione: viene forzata l'installazione dell'alternativa /usr/lib/fglrx/ld.so.conf poiché il gruppo x86_64-linux-gnu_gl_conf è danneggiato."

"update-alternatives: skip creation of /etc/OpenCL/vendors/amdocl32.icd cause /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd doesn't exist
update-alternatives: force installation alternative /usr/lib/fglrx/ld.so.conf cause x86_64-linux-gnu_gl_conf group is damage"

Evan Huus (eapache) wrote :

Could you be running into bug #855943? It's been fixed, but the symptoms look very similar, and it's possible the fix didn't make it into Precise for some reason...

Changed in fglrx-driver (Debian):
status: Confirmed → Fix Released
Antti Kaijanmäki (kaijanmaki) wrote :

Is there any way this could be accelerated for Precise? We are in beta stage and this is really visible problem in critical functionality.

brett johnson (nowerries) wrote :

On 03/12/2012 02:56 AM, Giuseppe Terrasi wrote:
> I have try again. Same result. I have purge first all the fglrx packages and then sudo apt-get update&& sudo apt-get dist-upgrade&& sudo apt-get install fglrx.
> At reboot lightdm doesn't start. I look at /var/log/apt/term.log and I can see that are present some error. Full log: http://pastebin.ubuntu.com/879984/
>
> An abstract:
> "update-alternatives: attenzione: saltata la creazione di /etc/OpenCL/vendors/amdocl32.icd poiché il file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd associato (del gruppo x86_64-linux-gnu_gl_conf) non esiste.
> update-alternatives: attenzione: viene forzata l'installazione dell'alternativa /usr/lib/fglrx/ld.so.conf poiché il gruppo x86_64-linux-gnu_gl_conf è danneggiato."
>
> "update-alternatives: skip creation of /etc/OpenCL/vendors/amdocl32.icd cause /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd doesn't exist
> update-alternatives: force installation alternative /usr/lib/fglrx/ld.so.conf cause x86_64-linux-gnu_gl_conf group is damage"
>
Just an update, completely uninstalled precise, reinstalled, did a full
update. Installed the new catalyst 12.2 drivers and everything is fine
now, Xorg dosn't crash now when I try to play movies.

tags: added: rls-mgr-p-tracking
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.960-0ubuntu1

---------------
fglrx-installer (2:8.960-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Fix issue with XVideo in the new xserver (LP: #921384).
 -- Alberto Milone <email address hidden> Thu, 22 Mar 2012 16:01:03 +0100

Changed in fglrx-installer (Ubuntu Precise):
status: In Progress → Fix Released

Hi
Now I have receive the update from repository. Now video working and I don't have the problem at comment #23.

Abhijith. R (abhijith-foss-8) wrote :

On Monday 19 March 2012 05:29 AM, brett johnson wrote:
> On 03/12/2012 02:56 AM, Giuseppe Terrasi wrote:
>> I have try again. Same result. I have purge first all the fglrx packages and then sudo apt-get update&& sudo apt-get dist-upgrade&& sudo apt-get install fglrx.
>> At reboot lightdm doesn't start. I look at /var/log/apt/term.log and I can see that are present some error. Full log: http://pastebin.ubuntu.com/879984/
>>
>> An abstract:
>> "update-alternatives: attenzione: saltata la creazione di /etc/OpenCL/vendors/amdocl32.icd poiché il file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd associato (del gruppo x86_64-linux-gnu_gl_conf) non esiste.
>> update-alternatives: attenzione: viene forzata l'installazione dell'alternativa /usr/lib/fglrx/ld.so.conf poiché il gruppo x86_64-linux-gnu_gl_conf è danneggiato."
>>
>> "update-alternatives: skip creation of /etc/OpenCL/vendors/amdocl32.icd cause /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd doesn't exist
>> update-alternatives: force installation alternative /usr/lib/fglrx/ld.so.conf cause x86_64-linux-gnu_gl_conf group is damage"
>>
> Just an update, completely uninstalled precise, reinstalled, did a full
> update. Installed the new catalyst 12.2 drivers and everything is fine
> now, Xorg dosn't crash now when I try to play movies.
>
that bug finish'd

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.